Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004950OCamlOCaml generalpublic2009-12-31 11:132015-12-06 18:28
Reporterhennequi 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target Version4.03.0+devFixed in Version4.03.0+dev 
Summary0004950: Array.init raises the wrong exception for invalid argument
DescriptionArray.make (-1) 0;;
Exception: Invalid_argument "Array.make".

Array.init (-1) (fun _ -> 0);;
Exception: Invalid_argument "Array.make".

it would be great for debugging purposes to see an "Array.init" in the second exception.

cheers,
Guillaume.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006575resolvedfrisch Array.init evaluates callback although it should not do so 

-  Notes
(0005222)
doligez (administrator)
2010-01-07 16:03

Not sure we want to fix this, as it would add the overhead of catching the exception.

(0008098)
doligez (administrator)
2012-09-17 17:45

Another possibility would be to change the exception to (Invalid_argument "Array.make/Array.init").
(0015066)
xleroy (administrator)
2015-12-06 18:28

Fixed as part of 0006575

- Issue History
Date Modified Username Field Change
2009-12-31 11:13 hennequi New Issue
2010-01-07 16:03 doligez Note Added: 0005222
2010-01-07 16:03 doligez Status new => acknowledged
2012-09-06 16:44 doligez Target Version => 4.00.1+dev
2012-09-17 17:45 doligez Note Added: 0008098
2012-09-17 17:45 doligez Target Version 4.00.1+dev => 4.01.0+dev
2013-07-29 15:31 doligez Target Version 4.01.0+dev => 4.01.1+dev
2014-05-25 20:20 doligez Target Version 4.01.1+dev => 4.02.0+dev
2014-07-16 20:22 doligez Target Version 4.02.0+dev => 4.03.0+dev
2015-12-06 18:28 xleroy Relationship added related to 0006575
2015-12-06 18:28 xleroy Note Added: 0015066
2015-12-06 18:28 xleroy Status acknowledged => resolved
2015-12-06 18:28 xleroy Resolution open => fixed
2015-12-06 18:28 xleroy Fixed in Version => 4.03.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker